get
https://app.fracttal.com/api/transactions_log/
Through this web service, the company's transaction log can be consulted.
Input parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
action | Text | Optional | Type of action performed. ADD. |
module | Number | Optional | Module number. 1: Assets |
sub_module | Number | Optional | Id of the submodule you want to filter by. |
since | Text | Optional | Initial date of the event. Format: 'YYYY-MM-DDTHH:MM:SS-UTC' Exemple:'2021-07-12T20:00:00-03'. By default, no date filter is applied. |
until | Text | Optional | End date of the event. Format: 'YYYY-MM-DDTHH:MM:SS-UTC' Example:'2021-07-12T20:00:00-03'. By default, no date filter is applied |
description | Text | Optional | Description of the action performed. |
Output parameters
| Parameter | Type | Description |
|---|---|---|
event_date | Text | Date of event (Date in UTC-0) |
ip_address | Text | IP from where the action was performed |
name | Text | Name of the user who performed the action |
email | Text | email of the user who performed the action |
sub_module_description | Text | Sub module where the action took place |
module_description | Text | Module where the action took place |
action | Text | Action |
description | json | Description of the action |
data_action | json | Action detailsDate of event (Date in UTC-0) |
id_module | Integer | Module number. |
id_sub_module | Integer | Submodule ID. |
Example:
Request: (GET)https://app.fracttal.com/api/transactions_log/
{
"success": true,
"message": "200",
"data": [
{
"id": 120604,
"id_company": 133,
"id_account": 2,
"event_date": "2020-02-25T20:19:54.260926+00:00",
"ip_address": "181.42.37.173",
"name": "RICARDO ROMAN",
"email": "[email protected]",
"id_module": 1,
"id_submodule": 10,
"sub_module_description": "REQUESTS",
"module_description": "CONFIGURATION",
"action": "LOGIN",
"data_action": {
"description": "Development",
"is_active": true
},
"description": "Fracttal Demo"
},
{
"id": 120603,
"id_company": 133,
"id_account": 2791,
"event_date": "2020-02-25T20:18:35.588532+00:00",
"ip_address": "190.215.52.171",
"name": "Keivy Gonzalez",
"email": "[email protected]",
"id_module": 1,
"id_submodule": 10,
"sub_module_description": "REQUESTS",
"module_description": "CONFIGURATION",
"action": "LOGIN",
"data_action": {
"description": "Development",
"is_active": true
},
"description": "Fracttal Demo"
}
],
"total": 2
}CONECTION TEST
